import buildings from "../buildings";
import { createBuilding } from "../create";
import type { VillageState } from "../village";


export default function build(V: VillageState, buildingType: keyof typeof buildings) {
    const building = buildings[buildingType];
    const cost = building.cost(1);

    if (
        cost.wood > V.resources.wood
        || cost.stone > V.resources.stone
        || cost.iron > V.resources.iron
        || cost.food > V.resources.food
    ) {
        return false;
    }

    V.resources.wood -= cost.wood;
    V.resources.stone -= cost.stone;
    V.resources.iron -= cost.iron;
    V.resources.food -= cost.food;

    V.buildings.push(createBuilding(building));

    return true;
}
